This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 644087 - xfce4-power-manager doesn't suspend on lid close
xfce4-power-manager doesn't suspend on lid close
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-18 17:33 EDT by Lassi Pölönen
Modified: 2011-10-25 15:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 07:28:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
pm-utils-bugreport-info.sh output (7.54 KB, text/plain)
2010-10-20 12:11 EDT, Lassi Pölönen
no flags Details
gnome-power-bugreport.sh output (4.70 KB, text/plain)
2010-12-13 09:02 EST, Lassi Pölönen
no flags Details

  None (edit)
Description Lassi Pölönen 2010-10-18 17:33:46 EDT
Description of problem:
When the laptop lid is closed, the laptop doesn't suspend even though configured to do so in power manager settings.

Version-Release number of selected component (if applicable):
xfce4-power-manager-0.8.5-1.fc13.i686

How reproducible:
always

Steps to Reproduce:
1. Config ( ~/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-power-manager.xml)
<?xml version="1.0" encoding="UTF-8"?>

<channel name="xfce4-power-manager" version="1.0">
  <property name="xfce4-power-manager" type="empty">
    <property name="lid-action-on-ac" type="uint" value="1"/>
    <property name="dpms-on-ac-off" type="uint" value="10"/>
    <property name="dpms-on-ac-sleep" type="uint" value="5"/>
    <property name="lid-action-on-battery" type="uint" value="1"/>
    <property name="inactivity-on-ac" type="uint" value="14"/>
    <property name="lock-screen-suspend-hibernate" type="bool" value="false"/>
    <property name="brightness-on-battery" type="uint" value="20"/>
    <property name="sleep-button-action" type="uint" value="1"/>
    <property name="critical-power-action" type="uint" value="2"/>
    <property name="inactivity-on-battery" type="uint" value="30"/>
    <property name="dpms-on-battery-sleep" type="uint" value="2"/>
    <property name="dpms-on-battery-off" type="uint" value="5"/>
    <property name="hibernate-button-action" type="uint" value="0"/>
    <property name="dpms-sleep-mode" type="string" value="suspend"/>
  </property>
</channel>



2. Run the following in terminal to watch the lid status as seen by acpi
while [ 1 ]; do cat /proc/acpi/button/lid/LID/state; sleep 2; done

3. Close the lid and open the lid.
  
Actual results:
Only display shuts down but the laptop doesn't suspend even though the suspend works manually.


Expected results:
Laptop should suspend

Additional info:
pm-utils-bugreport-info output attached
Comment 1 Lassi Pölönen 2010-10-20 12:11:54 EDT
Created attachment 454605 [details]
pm-utils-bugreport-info.sh output
Comment 2 Christoph Wickert 2010-10-26 19:01:01 EDT
What does 'cat /proc/acpi/button/lid/LID/state' return when the lid is closed?
Comment 3 Lassi Pölönen 2010-10-27 04:43:59 EDT
When Closed:
state:      closed

When open:
state:      open

Just as one would expect.
Comment 4 Christoph Wickert 2010-11-25 16:44:31 EST
Does the same happen with gnome-power-manager or does it work? Can you please test and also provide the output of gnome-power-bugreport.sh?
Comment 5 Lassi Pölönen 2010-12-13 09:01:24 EST
Looks like it didn't work either with Gnome. Attaching gnome-power-bugreport output.
Comment 6 Lassi Pölönen 2010-12-13 09:02:02 EST
Created attachment 468380 [details]
gnome-power-bugreport.sh output
Comment 7 Christoph Wickert 2010-12-19 04:42:18 EST
Ok, it's not problem with the power-manager then, reassigning to hal.

Richard, if it's not hal ether, please let us know which is the right component (upower?).
Comment 8 Bug Zapper 2011-05-31 07:06:45 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-28 07:28:04 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 adam.fedora-bugzilla 2011-10-25 15:48:38 EDT
bug is still there, in fedora 15

Note You need to log in before you can comment on or make changes to this bug.